# ParadisEO-PEOMovingObjects: peoSynchronousMultiStart< EntityType >::AggregationAlgorithm< AggregationAlgorithmType > Struct Template Reference

# peoSynchronousMultiStart< EntityType >::AggregationAlgorithm< AggregationAlgorithmType > Struct Template Reference

Inheritance diagram for peoSynchronousMultiStart< EntityType >::AggregationAlgorithm< AggregationAlgorithmType >:

List of all members.

## Public Member Functions

| AggregationAlgorithm (AggregationAlgorithmType &externalAggregationAlgorithm)
void | operator() (AbstractDataType &dataTypeInstanceA, AbstractDataType &dataTypeInstanceB)

## Public Attributes

AggregationAlgorithmType & | aggregationAlgorithm

## Detailed Description

### template<typename EntityType>
template<typename AggregationAlgorithmType>
struct peoSynchronousMultiStart< EntityType >::AggregationAlgorithm< AggregationAlgorithmType >

Definition at line 164 of file peoSynchronousMultiStart.h.

The documentation for this struct was generated from the following file:

- peoSynchronousMultiStart.h